<?php
/**
 * Template for building the author information box.
 */
global $post;

$author = get_the_author_meta('first_name') . ' ' . get_the_author_meta('last_name');

if ($author == ' ') {
  $author = get_the_author_meta('user_nicename');
}

if ($author == ' ') {
  $author = get_the_author_meta('display_name');
}

$content = get_the_author_meta('description');
if (empty($content)) {
  $content = __('No biography entered for this author yet.', BASE_THEME);
}

?>
<div class="media post-author well">
  <div class="pull-left media-object diamond border thumbnail">
    <div class="border">
      <?php echo wp_kses_post(get_avatar($post->post_author, '96')); ?>
    </div>
  </div>
  <div class="media-body">
    <?php if ($author != ' ') : ?>
      <h4 class="media-heading"><?php echo wp_kses_post($author); ?></h4>
    <?php endif; ?>
    <?php echo wp_kses_post($content); ?>
  </div>
</div>